.loader-satupeta {
  .loading-text {
    animation: color-change 2s infinite;
  }
  
  @keyframes color-change {
    0% { color: var(--bs-text-primary); }
    50% { color: var(--bs-bg-secondary); }
    100% { color: var(--bs-text-primary); }
  }

  .active {
    opacity: 1 !important;
  }
  z-index: 1056 !important;
}